package com.dayou.brokerage;

import com.dayou.bo.BrokerageDetailBO;
import com.dayou.brokerage.factory.BrokerageCalculateFactory;
import com.dayou.dto.ItemDTO;

import java.math.BigDecimal;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/8
 * created with IntelliJ IDEA.
 */
public interface BrokerageCalculator extends BrokerageCalculateFactory {


    /**
     * 实际提成金额
     */
    BigDecimal actualAmount(ItemDTO itemDTO);

    /**
     * 预提金额
     * @return
     */
    BigDecimal aheadAmount(BigDecimal predictAmount);

    /**
     * 已预提金额
     */
    BigDecimal advanceAmount();


    /**
     * 剩余未提金额
     */
    BigDecimal residueAmount();
}
