package com.dayou.brokerage;

import com.dayou.bo.BrokerageDetailBO;
import com.dayou.brokerage.factory.BrokerageCalculateFactory;
import com.dayou.dto.ItemDTO;

import java.math.BigDecimal;

/**
 * 类说明：市场人员提成计算器接口
 *
 * @author: wucl
 * @since: 2023/3/3
 * created with IntelliJ IDEA.
 */
public interface MarketerBrokerageCalculator extends BrokerageCalculator {

    /**
     * 预估提成金额(个人计算)
     */
    BrokerageDetailBO predictPersonalAmount(BrokerageDetailBO bo);

    /**
     * 预估提成金额(团队抽成计算)
     */
    BrokerageDetailBO predictTeamShareAmount(BrokerageDetailBO bo);




}
