package com.dayou.brokerage;

import com.dayou.bo.BrokerageDetailBO;
import com.dayou.entity.ItemBrokerageDetail;

import java.math.BigDecimal;

/**
 * 类说明：非市场人员提成计算器接口
 *
 * @author: wucl
 * @since: 2023/3/6
 * created with IntelliJ IDEA.
 */
public interface NonMarketerMarketerBrokerageCalculator extends BrokerageCalculator  {

    /**
     * 预估提成金额
     * @param bo
     * @return
     */
    ItemBrokerageDetail predictAmount(BrokerageDetailBO bo);

    /**
     * 预提金额总和
     */
    BigDecimal advanceTotalAmount();

    /**
     * 预提次数
     * @return
     */
    int advanceTimes();
}
